package com.casic.missiles.modular.alarm.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.casic.missiles.model.response.ResponseData;
import com.casic.missiles.modular.system.model.AlarmContentType;

public interface IAlarmContentTypeService extends IService<AlarmContentType> {
    ResponseData selectListPage(String alarmType, String deviceType, String alarmContent);

    ResponseData deleteById(Long id);

    ResponseData add(AlarmContentType AlarmContentType);

    ResponseData update(AlarmContentType AlarmContentType);
}
